![img](https://pbs.twimg.com/profile_images/1312524109218111489/1e7X9EZ5_400x400.png)

# Fogbender Open-Source Software

Open source packages to work with https://fogbender.com

## What is Fogbender?

Fogbender is a helpdesk product for supporting customer teams (not individuals). [Check out our website](https://fogbender.com/) to learn more.

## What is this repository?

This repository contains the source code of **Fogbender packages** published to [npm](https://www.npmjs.com/). Here, you can learn how those packages are built, as well as contribute by filing issues and creating pull requests.

## Which packages?

- [fogbender-proto](https://www.npmjs.com/package/fogbender-proto) - low-level package that allows you to connect to our
  real-time WebSocket API (you'll need this if you want to create your own Fogbender chat application or bot).
- [fogbender](https://www.npmjs.com/package/fogbender) - vanilla JavaScript module to embed the Fogbender Widget on your
  website
- [fogbender-react](https://www.npmjs.com/package/fogbender-react) - React wrapper for `fogbender` to embed the Fogbender
  Widget on your website
- [fogbender-vue](https://www.npmjs.com/package/fogbender-react) - experimental Vue wrapper for `fogbender` to embed
  the Fogbender Widget on your website
- [fogbender-element](https://www.npmjs.com/package/fogbender-element) - experimental web components wrapper for `fogbender`
  to embed the Fogbender Widget on your website

## Examples

- https://codesandbox.io/s/fogbender-demo-7e0kg
- https://codesandbox.io/s/fogbender-demo-with-react-w519q?file=/src/index.tsx
- https://codesandbox.io/s/fogbender-vue-scgn25?file=/src/App.vue
